Package: org.gradle.tooling

## [Java] Interface BuildAction<T>

- An action that executes against a Gradle build and produces a result of type `T`.

  You can execute a `BuildAction` using the ProjectConnection.action method.

  Parameters:
    `` - The type of result produced by this action.
  Since:
    1.8

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `T` | `execute(BuildController controller)` Executes this action and returns the result.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public T execute(BuildController controller)

      Executes this action and returns the result.

      Parameters:
        `controller` - The controller to use to access and control the build.
      Returns:
        The result
      Since:
        1.8